Mailinglist Archive: opensuse-packaging (174 mails)

< Previous Next >
[opensuse-packaging] Re: krb5 dependency in Base:System
  • From: NeilBrown <neilb@xxxxxxx>
  • Date: Thu, 28 Nov 2013 09:25:05 +1100
  • Message-id: <20131128092505.157a4a4a@notabene.brown>
On Wed, 27 Nov 2013 19:20:45 +0100 Stephan Kulow <coolo@xxxxxxx> wrote:

Hi,

It's currently impossible to submit packages from Base:System due to
repo-checker blocking submissions as base packages suddenly require krb5.

This is due to a change in libtirpc, that creates a huge cycle. As I'm
protecting Factory from having that cycle too, I block such updates.
Unfortunately the check hits other packages in the cycle too, so this
means: unless this change is reverted, it won't be possible to submit
base packages.

Greetings, Stephan

Do really understand much of this, but I'll tell you what I know.

1/ libtirpc doesn't work properly without the recent change. It causes
rpc.gssd to crash whenever someone tries to perform a secure NFS mount.
2/ nfs-utils is in Base:System and it already depends on krb5 so I
don't understand why this introduces a new dependency.

(just FYI libtirpc is used only by nfs-client, nfs-kernel-server, pam, autofs
and rpcbind)

So I don't understand what the problem is, or why there is a problem or what
sort of approach might fix it. So I cannot be much help here.

NeilBrown
< Previous Next >
Follow Ups
References